Skip to main content

STU3 AllergyIntolerance

The AllergyIntolerance resource describes a "Risk of harmful or undesirable, physiological response which is unique to an individual and associated with exposure to a substance." HL7 FHIR STU3 AllergyIntolerance

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API AllergyIntolerance resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support AllergyIntolerance search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED Who the sensitivity is for

Custom Parameters

NameTypeDescription
enddateAllergy start date/time
startdateAllergy end date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/AllergyIntolerance/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/345"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/AllergyIntolerance?patient=Patient/345" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"